# meowdict
CLI Web client for moedict.tw

## Usage
```
$ ./meowdict 萌
拼音：méng
注音：ㄇㄥˊ
動：
1.發芽。
《楚辭．王逸．九思．傷時》：「明風習習兮龢暖，百草萌兮華榮。」
如：「萌芽」。
2.發生。
《管子．牧民》：「惟有道者，能備患於未形也，故禍不萌 。」
《三國演義．第一回》：「若萌異心，必獲惡報。」
如：「故態復萌」。
名：
1.草木初生的芽。
《說文解字．艸部》：「萌，艸芽也。」
唐．韓愈、劉師服、侯喜、軒轅彌明 〈石鼎聯句〉：「秋瓜未落蒂，凍芋強抽萌。」
2.事物發生的開端或徵兆。
《韓非子．說林上》：「聖人見微以知萌，見端以知末。」
漢．蔡邕〈對詔問灾異八事〉：「以杜漸防萌，則其救也。」
3.人民。
如：「萌黎」、「萌隸」。
通「氓」。
4.姓。如五代時蜀有萌慮。

$ ./meowdict 什麼
拼音：shén me　（又音）shé me
注音：ㄕㄣˊ　˙ㄇㄜ　（又音）ㄕㄜˊ　˙ㄇㄜ
1.疑問代名詞，專指事物。如：「你在做什麼？」也作「甚麼」。
2.指示代名詞，泛指一般事物。如：「心裡想什麼，就說什麼，別這樣吞吞吐吐的。」也作「甚麼」。
3.疑問形容詞。如：「你住在什麼地方？」《文明小史．第三四回》：「這是部什麼書，我還不曉得名目，請悔兄指教。」也作「甚麼」。
4.表不定或虛指的形容詞。《紅樓夢．第四八回》：「為這點小事，弄得人坑家敗業，也不算什麼能為。」《文明小史．第三四回》：「這部書沒有什麼道理。」也作「甚麼」 。

$ ./meowdict 空穴來風
拼音：kōng xuè lái fēng
注音：ㄎㄨㄥ　ㄒㄩㄝˋ　ㄌㄞˊ　ㄈㄥ
1.有空穴，就有風吹來。語出《文選．宋玉．風賦》：「臣聞於師：『枳句來巢，空穴來風，其所託者然，則風氣殊焉。』」後比喻流言乘隙而入。如：「那些空穴來風的傳聞，不足以採信。」

$ ./meowdict 這個 那個
這個：
拼音：zhè ge
注音：ㄓㄜˋ　˙ㄍㄜ
1.這一個。
《三國演義．第一三回》：「細作探知這個消息，飛報呂布。」
如：「這個人」、「這個地方」。
2.表示猶豫、思索的口頭語，無義。
如：「至於他是否會實踐諾言，這個……實在很難　說。」
那個：
拼音：nà ge
注音：ㄋㄚˋ　˙ㄍㄜ
1.那一個。表示特定對象的指示詞。
如：「那個人」、「那個盤子」。
2.語助詞。無意義。
元．無名氏《博望燒屯．第四折》：「咱須是二十年布衣間，布衣間可便舊那個兄弟。」
3.不便明言的疏失。
如：「他這人做事，真有點兒那個。」
拼音：nǎ ge
注音：ㄋㄚˇ　˙ㄍㄜ
1.何者、誰。未定對象的疑問詞。
如：「那個人敢做出這種事來？」、「小黑氣憤憤的問他：『那個叫你來這裡的？』」
```

## Installation
```
$ cargo build --release
# install -vm755 target/release/meowdict /usr/local/bin/meowdict
```

## Dependencies
Building:
- Rust w/ Cargo
- C compiler
- make (when GCC LTO is used, not needed for Clang)

Runtime:
- Glibc
- OpenSSL
